- Work on part of speech (pos) tagging. This may help improve the prosody (intonation etc.) and overall speech quality.

- Tokenizer module needs to be refined for different dates and time formats

- Use Syllable-like unit selection approach for natural sounding

- Rectify and meet challenges in Text Normalization and Text-To-Phoneme rulesets

- Use it at a backend to any compatible desktop accessible package
